Get Community Summary
curl --request GET \
--url https://api.thefaithapp.com/v1/community/summary \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Key: <api-key>'const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.thefaithapp.com/v1/community/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/community/summary"
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"status": "Success",
"data": {
"summary": {
"active_group_count": 2,
"pending_group_count": 1,
"mutual_aid": {
"enabled": true,
"eligible": true,
"categories": [
{
"slug": "one_time_transport",
"label": "One-time transport",
"default_expiry_days": 3,
"allowed_kinds": [
"need",
"offer"
],
"allowed_visibilities": [
"church",
"campus",
"community_group",
"leaders"
],
"always_review": false,
"enabled": true,
"require_review": false,
"expiry_days": 3,
"max_expiry_days": 6
}
],
"allow_church_visibility": true,
"show_author_names": true,
"default_contact_preference": "in_app",
"default_visibility_order": [
"community_group",
"campus",
"leaders"
],
"my_active_post_count": 1
},
"research_pilots": {
"enabled": true,
"eligible": true,
"research_only": true,
"automated_matching": false,
"consent_version": "2026-07",
"active": true,
"pilot_keys": [
"recurring_rides"
],
"consented_at": "2026-07-18T09:30:00.000000Z"
},
"resource_library": {
"enabled": true,
"eligible": true,
"medical_equipment_staff_reviewed": true,
"exact_locations_hidden": true
}
}
}
}Community Preferences & Research
Get Community Summary
Returns the authenticated member’s group counts, mutual-aid availability, research-pilot status, and shared-resource availability.
GET
/
v1
/
community
/
summary
Get Community Summary
curl --request GET \
--url https://api.thefaithapp.com/v1/community/summary \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Key: <api-key>'const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.thefaithapp.com/v1/community/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/community/summary"
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"status": "Success",
"data": {
"summary": {
"active_group_count": 2,
"pending_group_count": 1,
"mutual_aid": {
"enabled": true,
"eligible": true,
"categories": [
{
"slug": "one_time_transport",
"label": "One-time transport",
"default_expiry_days": 3,
"allowed_kinds": [
"need",
"offer"
],
"allowed_visibilities": [
"church",
"campus",
"community_group",
"leaders"
],
"always_review": false,
"enabled": true,
"require_review": false,
"expiry_days": 3,
"max_expiry_days": 6
}
],
"allow_church_visibility": true,
"show_author_names": true,
"default_contact_preference": "in_app",
"default_visibility_order": [
"community_group",
"campus",
"leaders"
],
"my_active_post_count": 1
},
"research_pilots": {
"enabled": true,
"eligible": true,
"research_only": true,
"automated_matching": false,
"consent_version": "2026-07",
"active": true,
"pilot_keys": [
"recurring_rides"
],
"consented_at": "2026-07-18T09:30:00.000000Z"
},
"resource_library": {
"enabled": true,
"eligible": true,
"medical_equipment_staff_reviewed": true,
"exact_locations_hidden": true
}
}
}
}Authorizations
Client API key copied from Developer Access in the TheFaithApp dashboard.
Member access token returned by POST /v1/auth/token.
Was this page helpful?
⌘I